#!/usr/bin/env node
process.title = 'SMSD-HANDLER';
process.env.KOMODO_MESSAGING_DO_NOT_LISTEN = 'YES';
global.KOMODO_LOG_LABEL = 'SMSTOOLS-EVENTHANDLER';

process.chdir(`${__dirname}/..`);

const { argv } = require('yargs');
const logger = require('komodo-sdk/logger');

const handlerReceived = require('../lib/smstools-handler/received');
const handlerSent = require('../lib/smstools-handler/sent');

async function main() {
    const eventType = (argv._ && argv._[0]) || null;
    const msgFilename = (argv._ && argv._[1]) || null;
    logger.info('Starting', {
        eventType,
        msgFilename,
    });

    if (eventType === 'RECEIVED') {
        handlerReceived(msgFilename);
    } else if (eventType === 'SENT') {
        handlerSent(msgFilename);
    }
}

main();
